{literal}
<pre class=" language-php"><code class=" language-php"><span class="token delimiter">&lt;?php</span>

<span class="token keyword">use</span> <span class="token package">WHMCS<span class="token punctuation">\</span>Authentication<span class="token punctuation">\</span>CurrentUser</span><span class="token punctuation">;</span>
<span class="token keyword">use</span> <span class="token package">WHMCS<span class="token punctuation">\</span>ClientArea</span><span class="token punctuation">;</span>
<span class="token keyword">use</span> <span class="token package">WHMCS<span class="token punctuation">\</span>Database<span class="token punctuation">\</span>Capsule</span><span class="token punctuation">;</span>

<span class="token function">define</span><span class="token punctuation">(</span><span class="token string">'CLIENTAREA'</span><span class="token punctuation">,</span> <span class="token boolean">true</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token keyword">require</span> <span class="token constant">__DIR__</span> <span class="token punctuation">.</span> <span class="token string">'/init.php'</span><span class="token punctuation">;</span>

<span class="token variable">$ca</span> <span class="token operator">=</span> <span class="token keyword">new</span> <span class="token class-name">ClientArea</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">setPageTitle</span><span class="token punctuation">(</span><span class="token string">'Your Page Title Goes Here'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">addToBreadCrumb</span><span class="token punctuation">(</span><span class="token string">'index.php'</span><span class="token punctuation">,</span> Lang<span class="token punctuation">:</span><span class="token punctuation">:</span><span class="token function">trans</span><span class="token punctuation">(</span><span class="token string">'globalsystemname'</span><span class="token punctuation">)</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">addToBreadCrumb</span><span class="token punctuation">(</span><span class="token string">'mypage.php'</span><span class="token punctuation">,</span> <span class="token string">'Your Custom Page Name'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">initPage</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token comment" spellcheck="true">//$ca-&gt;requireLogin(); // Uncomment this line to require a login to access this page</span>

<span class="token comment" spellcheck="true">// To assign variables to the template system use the following syntax.</span>
<span class="token comment" spellcheck="true">// These can then be referenced using {$variablename} in the template.</span>

<span class="token comment" spellcheck="true">//$ca-&gt;assign('variablename', $value);</span>

<span class="token variable">$currentUser</span> <span class="token operator">=</span> <span class="token keyword">new</span> <span class="token class-name">CurrentUser</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
<span class="token variable">$authUser</span> <span class="token operator">=</span> <span class="token variable">$currentUser</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">user</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token comment" spellcheck="true">// Check login status</span>
<span class="token keyword">if</span> <span class="token punctuation">(</span><span class="token variable">$authUser</span><span class="token punctuation">)</span> <span class="token punctuation">{</span>

            <span class="token comment" spellcheck="true">/**
            * User is logged in - put any code you like here
            *
            * Use the User model to access information about the authenticated User
            */</span>

            <span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">assign</span><span class="token punctuation">(</span><span class="token string">'userFullname'</span><span class="token punctuation">,</span> <span class="token variable">$authUser</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token property">fullName</span><span class="token punctuation">)</span><span class="token punctuation">;</span>


            <span class="token variable">$selectedClient</span> <span class="token operator">=</span> <span class="token variable">$currentUser</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">client</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
            <span class="token keyword">if</span> <span class="token punctuation">(</span><span class="token variable">$selectedClient</span><span class="token punctuation">)</span> <span class="token punctuation">{</span>

            <span class="token comment" spellcheck="true">/**
            * If the authenticated User has selected a Client Account to manage,
            * the model will be available - put any code you like here
            */</span>

            <span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">assign</span><span class="token punctuation">(</span>
            <span class="token string">'clientInvoiceCount'</span><span class="token punctuation">,</span>
            <span class="token variable">$selectedClient</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">invoices</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">count</span><span class="token punctuation">(</span><span class="token punctuation">)</span>
            <span class="token punctuation">)</span><span class="token punctuation">;</span>
            <span class="token punctuation">}</span>

            <span class="token punctuation">}</span> <span class="token keyword">else</span> <span class="token punctuation">{</span>

            <span class="token comment" spellcheck="true">// User is not logged in</span>
            <span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">assign</span><span class="token punctuation">(</span><span class="token string">'userFullname'</span><span class="token punctuation">,</span> <span class="token string">'Guest'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

            <span class="token punctuation">}</span>

<span class="token comment" spellcheck="true">/**
 * Set a context for sidebars
 *
 * @link http://docs.whmcs.com/Editing_Client_Area_Menus#Context
 */</span>
<span class="token comment" spellcheck="true">//Menu::addContext();</span>

<span class="token comment" spellcheck="true">/**
 * Setup the primary and secondary sidebars
 *
 * @link http://docs.whmcs.com/Editing_Client_Area_Menus#Context
 */</span>
Menu<span class="token punctuation">:</span><span class="token punctuation">:</span><span class="token function">primarySidebar</span><span class="token punctuation">(</span><span class="token string">'announcementList'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
Menu<span class="token punctuation">:</span><span class="token punctuation">:</span><span class="token function">secondarySidebar</span><span class="token punctuation">(</span><span class="token string">'announcementList'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token shell-comment comment"># Define the template filename to be used without the .tpl extension</span>

<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">setTemplate</span><span class="token punctuation">(</span><span class="token string">'mypage'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token variable">$ca</span><span class="token operator">-</span><span class="token operator">&gt;</span><span class="token function">output</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
</code></pre>
{/literal}